library("tidyverse")
library("highcharter")

count_models <- mtcars %>%
  rownames_to_column("model") %>%
  as_tibble() %>%
  separate(model, into = c("model", "version"), extra = "merge") %>%
  count(model) %>%
  arrange(desc(n))

function(input, output, session) {
  output$model_hc <- renderHighchart({
    count_models %>%
    hchart(type = "bar",
           hcaes(x = model,
                 y = n)) %>%
      hc_add_event_point(event = "click")
    
  })
  
  output$selected_cars <- renderDataTable({
    print(input$model_hc_click)
    
    mtcars %>%
      rownames_to_column("model") %>%
      as_tibble() %>%
      separate(model,
               into = c("model", "version"),
               extra = "merge")  %>%
      filter(model == input$model_hc_click$name)
    
  })
  
}
