library("tidyverse")
library("leaflet")
library("sf")

quakes_sf <- quakes %>%
  as_tibble() %>%
  st_as_sf(coords = c("long", "lat"))

quakes_sf %>%
  leaflet() %>%
  addProviderTiles(providers$Esri.WorldShadedRelief) %>%
  addCircleMarkers(
    label = ~as.character(mag),
    clusterOptions = markerClusterOptions()
  )
